<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.yjxt.business.check.mapper.DangerAreaCheckInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="checkResultMap" type="org.springblade.modules.yjxt.business.check.entity.DangerAreaCheckInfoEntity">

        <result column="check_type" property="checkType"/>
        <result column="warn_id" property="warnId"/>
        <result column="latitude" property="latitude"/>
        <result column="longitude" property="longitude"/>
        <result column="address" property="address"/>
        <result column="is_flood" property="isFlood"/>
        <result column="is_damage" property="isDamage"/>
        <result column="remark" property="remark"/>
        <result column="check_photos" property="checkPhotos"/>

    </resultMap>

    <resultMap id="checkVOResultMap" type="org.springblade.modules.yjxt.business.check.vo.DangerAreaCheckInfoVO">

        <result column="check_type" property="checkType"/>
        <result column="warn_id" property="warnId"/>
        <result column="latitude" property="latitude"/>
        <result column="longitude" property="longitude"/>
        <result column="address" property="address"/>
        <result column="is_flood" property="isFlood"/>
        <result column="is_damage" property="isDamage"/>
        <result column="remark" property="remark"/>
        <result column="check_photos" property="checkPhotos"/>

    </resultMap>

    <select id="selectPage" resultMap="checkVOResultMap">

        SELECT
        p.*
        FROM
        yjxt_danger_area_check_info p
        WHERE
        p.is_deleted = 0

    </select>

</mapper>
